/* File: xdw_xml.h
// Copyright(C) 1999-2009 by Fuji Xerox Co., Ltd. All right reserved.  
*/

#ifndef XDW_XML_H
#define XDW_XML_H

#include "xdw_api.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef XDWAPI_XML_DECLARATIONS
#define XDWAPI_XML_DECLARATIONS

#ifdef _WIN64
#ifndef XDW_DISABLE_PRAGMA_PACK
#pragma pack(push, xdwapi_enter_parser)
#pragma pack(8)
#endif	/* XDW_DISABLE_PRAGMA_PACK */
#endif	/* _WIN64 */

#define XDW_XML_ENCODING_UTF8	1

#define XDW_XML_CONVERT_NONE							1
#define XDW_XML_CONVERT_KNOWN_CODEPAGE					2
#define XDW_XML_CONVERT_KNOWN_AND_SPECIFIED_CODEPAGE	3

#define XDW_XML_DOCUWORKSFILE_SCHEMA_VERSION_710	"7.1.0"
#define XDW_XML_DOCUWORKSFILE_SCHEMA_VERSION_LATEST	"latest"

#define XDW_XML_DOCUWORKSFILE_XDWAPI_VERSION_710	"7.1.0"
#define XDW_XML_DOCUWORKSFILE_XDWAPI_VERSION_LATEST	"latest"

#define XDW_XML_FORMAT_DOCUWORKSFILE	1

#define XDW_XML_SET_ANNOTATION_ADD		1
#define XDW_XML_SET_ANNOTATION_UPDATE	2

#define XDW_ATN_ImageFilePath	"%ImageFilePath"

typedef struct tag_XDW_XML_GET_OPTION_DOCUWORKSFILE {
	int			nSize;
	int			nXmlEncoding;
	int			nPrettyPrint;
	int			nBinder;
	int			nConvertToUnicodeMode;
	int			nCodePage;
	int			nExcludeInsufficientAnnotation;
	const char*	lpszSchemaVersion;
	const char*	lpszXdwapiVersion;
	const char*	lpszAnnotationUserAttributeName;
} XDW_XML_GET_OPTION_DOCUWORKSFILE;

typedef struct tag_XDW_XML_SET_OPTION_DOCUWORKSFILE {
	int			nSize;
	int			nSetAnnotationType;
	const char* lpszAnnotationUserAttributeName;
} XDW_XML_SET_OPTION_DOCUWORKSFILE;

typedef struct tag_XDW_XML_ERROR_INFO {
	int			nSize;
	int			nLine;
	int			nColumn;
} XDW_XML_ERROR_INFO;

#ifdef _WIN64
#ifndef XDW_DISABLE_PRAGMA_PACK
#pragma pack(pop, xdwapi_enter_parser)
#endif	/* XDW_DISABLE_PRAGMA_PACK */
#endif	/* _WIN64 */

#endif /* XDWAPI_XML_DECLARATIONS */

int XDWAPI XDW_GetXmlFile(XDW_DOCUMENT_HANDLE handle, const char* lpszOutputPath, int nXmlFormat, void* pOption, void* reserved);
int XDWAPI XDW_SetXmlFile(XDW_DOCUMENT_HANDLE handle, const char* lpszInputPath, int nXmlFormat, void* pOption, XDW_XML_ERROR_INFO* pErrorInfo, void* reserved);

#ifdef __cplusplus
} /* end of extern "C" */
#endif /* __cplusplus */

#endif /* XDW_XML_H */
